{{- range $key, $val := $.Values.deployment }}
{{- if $val.hpa }}
apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: {{ $.Release.Name }}-{{ $key }}
  labels:
    app: {{ $.Release.Name }}-{{ $key }}
    release: {{ $.Release.Name }}
    version: {{ $.Values.global.version }}
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ $.Release.Name }}-{{ $key }}
  minReplicas: {{ .hpa.minReplicas }}
  maxReplicas: {{ .hpa.maxReplicas }}
  metrics:
    - type: Resource
      resource:
        name: memory
        target:
          type: Utilization
          averageUtilization: {{ .hpa.targetMemoryUtilizationPercentage | default "50"}}
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: {{ .hpa.targetCPUUtilizationPercentage | default "50"}}
{{- end }}
{{- end }}
